<div class="card mt-7">
    <mat-card>
        <mat-card-title>Typy incydentów</mat-card-title>
        <mat-card-subtitle>Zdefiniuj nowy typ zgłoszenia</mat-card-subtitle>
    </mat-card>
    <div>
        <div>
            <br>
            <mat-form-field>
                <input matInput required placeholder="Nazwa typu" [(ngModel)]="incidentType.name">
            </mat-form-field>
            <br>
            <mat-form-field>
                <mat-label>Opis typu zgłoszenia</mat-label>
                <textarea matInput required
                          [(ngModel)]="incidentType.description"
                          cdkTextareaAutosize
                          #autosize="cdkTextareaAutosize"
                          cdkAutosizeMinRows="1" as
                          cdkAutosizeMaxRows="5"></textarea>
            </mat-form-field>
            <br>
            <button [disabled]="!incidentType.name" mat-flat-button color="primary" (click)="addIncidentType()">Dodaj
            </button>
            <br>
            <div>
            </div>
        </div>
    </div>
</div>
<br>
<mat-divider></mat-divider>
<div class="card mt-7">
    <mat-card>
        <mat-card-title>Przypisz usługę do typu zgłoszenia</mat-card-title>
        <mat-card-subtitle>Możesz przypisać nieprzypisane do usługi typu zdarzeń</mat-card-subtitle>
    </mat-card>
    <div>
        <div>
            <br>
            <mat-form-field>
                <mat-label>Rodzaj zgłoszenia</mat-label>
                <mat-select required [formControl]="incidentTypes">
                    <mat-option *ngFor="let type of incidentTypesDto" [value]="type.name" (onSelectionChange)="getTypeFromSelect(type, $event)">{{type.name}}</mat-option>
                </mat-select>
            </mat-form-field>
            <br>
            <br>
            <mat-form-field>
                <mat-label>Usługa</mat-label>
                <mat-select required [formControl]="services">
                    <mat-option *ngFor="let service of servicesListDto" [value]="service.name" (onSelectionChange)="getServiceFromSelect(service, $event)">{{service.name}}</mat-option>
                </mat-select>
            </mat-form-field>
            <br>
            <button [disabled]="!incidentAssignation.serviceId || !incidentAssignation.incidentTypeId" mat-flat-button color="primary" (click)="assign()">Powiąż
            </button>
            <br>
            <div></div>
        </div>
    </div>
    <br>
    <mat-card>
        <mat-card-title>Zdefiniowane typy incydentów</mat-card-title>
    </mat-card>
    <mat-card>
        <mat-table [dataSource]="incidentTypesWithServicesDataSource">
            <ng-container matColumnDef="id">
                <mat-header-cell *matHeaderCellDef>ID Typu</mat-header-cell>
                <mat-cell *matCellDef="let type"> {{type.id}}</mat-cell>
            </ng-container>
            <ng-container matColumnDef="name">
                <mat-header-cell *matHeaderCellDef>Nazwa</mat-header-cell>
                <mat-cell *matCellDef="let type"> {{type.name}}</mat-cell>
            </ng-container>
            <ng-container matColumnDef="desc">
                <mat-header-cell *matHeaderCellDef>Opis</mat-header-cell>
                <mat-cell *matCellDef="let type"> {{type.description}}</mat-cell>
            </ng-container>
            <ng-container matColumnDef="serviceName">
                <mat-header-cell *matHeaderCellDef>Kto obsługuje</mat-header-cell>
                <mat-cell *matCellDef="let type">
                    <span *ngIf="type.services[0]">{{type.services[0].name}}</span>
                    <span *ngIf="!type.services[0]">Nie przypisano</span>
                </mat-cell>
            </ng-container>
            <mat-header-row *matHeaderRowDef="nameColumn"></mat-header-row>
            <mat-row *matRowDef="let row; columns: nameColumn;"></mat-row>
        </mat-table>
    </mat-card>

</div>
